# Generated by Django 4.0.4 on 2022-05-13 05:27

import datetime

import django.core.validators
import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Event",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        max_length=128, verbose_name="Nom de l'évènement"
                    ),
                ),
                ("date", models.DateField(default=datetime.date.today)),
                ("accept_projects", models.BooleanField(default=True)),
            ],
        ),
        migrations.CreateModel(
            name="ScratchProject",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        max_length=128, verbose_name="Nom du projet"
                    ),
                ),
                (
                    "author_name",
                    models.CharField(max_length=128, verbose_name="Auteur"),
                ),
                (
                    "project_url",
                    models.URLField(
                        validators=[
                            django.core.validators.RegexValidator(
                                regex="https?://scratch\\.mit\\.edu/projects/([0-9]+)/?"
                            )
                        ],
                        verbose_name="Scratch project url",
                    ),
                ),
                (
                    "event",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="scratch_show.event",
                    ),
                ),
            ],
        ),
    ]
